<script>
    import Content from './Content.svelte'

    export let post
    export let focus = false
    export let showParentLink = true
</script>

<article>
    {#if focus}
        <Content {...post} {focus} {showParentLink} />
    {:else}
        <a href="/post/{post.id}">
            <Content {...post} {focus} {showParentLink} />
        </a>
    {/if}
</article>

<style lang="postcss">
    article {
        @apply relative p-4 overflow-x-hidden border-b border-blueGray-200;
    }
</style>
